Subject: Re: bug#36765: 27.0.50; gnus-group-split-setup should delay until Gnus has finished starting up

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 23 Jul 2019 11:36:20 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> I think a simple solution would be to change the above to:
>>
>> (add-hook (if auto-update
>> 	      'nnmail-pre-get-new-mail-hook
>> 	    'gnus-started-hook)
>> 	  'gnus-group-split-update)
>>
>> Ie, if auto-update isn't passed, only run the update once, at start time.
>
> I think that makes sense -- if it doesn't have to be called from
> nnmail-pre-get-new-mail-hook; I'm not too familiar with that code.

I think the idea is that if `auto-update' is nil, the update should only
happen once, at start-up time. If it's t, it should happen every time
before we check new mail (which will include start-up time, I think).

Anyway, let me make sure this solves the user's error first.